package com.ss.android.ugc.aweme.filter.repository.internal.filterbox;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;
import com.google.gson.b.a;
import com.google.gson.u;
import com.google.gson.v;
import com.ss.android.ugc.aweme.effectplatform.FilterEffect;
import com.ss.android.ugc.effectmanager.effect.model.Effect;
import kotlin.h.b.n;

public final class FilterEffectTypeAdapterFactory implements v {
    static {
        Covode.recordClassIndex(80256);
    }

    public final <T> u<T> create(Gson gson, a<T> aVar) {
        M12.LIZ(gson, aVar);
        if (!(!n.LIZ(aVar.rawType, Effect.class)) || !(!n.LIZ(aVar.rawType, com.ss.ugc.effectplatform.model.Effect.class))) {
            return new FilterEffectTypeAdapterFactory$create$1(gson.LIZ((v) this, a.get(FilterEffect.class)));
        }
        return null;
    }
}
